<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div id="widgetblock">',
        'after_widget' => '</div><div id="bottomblock"></div>',
        'before_title' => '<h3 class="blocks">',
        'after_title' => '</h3>',
    ));
?>
<?php
load_theme_textdomain('massive_news');

class MassiveNews {

	function addOptions () {

		if (isset($_POST['massive_reset'])) { MassiveNews::initOptions(true); }

		if (isset($_POST['massive_save'])) {

			$aOptions = MassiveNews::initOptions(false);
			$aOptions['featured1-title'] = stripslashes($_POST['featured1-title']);
			$aOptions['featured1-image'] = stripslashes($_POST['featured1-image']);
			$aOptions['featured1-link'] = stripslashes($_POST['featured1-link']);
			$aOptions['featured1-desc'] = stripslashes($_POST['featured1-desc']);

			$aOptions['featured2-title'] = stripslashes($_POST['featured2-title']);
			$aOptions['featured2-image'] = stripslashes($_POST['featured2-image']);
			$aOptions['featured2-link'] = stripslashes($_POST['featured2-link']);
			$aOptions['featured2-desc'] = stripslashes($_POST['featured2-desc']);						

			$aOptions['featured3-title'] = stripslashes($_POST['featured3-title']);
			$aOptions['featured3-image'] = stripslashes($_POST['featured3-image']);
			$aOptions['featured3-link'] = stripslashes($_POST['featured3-link']);
			$aOptions['featured3-desc'] = stripslashes($_POST['featured3-desc']);

			$aOptions['featured4-title'] = stripslashes($_POST['featured4-title']);
			$aOptions['featured4-image'] = stripslashes($_POST['featured4-image']);
			$aOptions['featured4-link'] = stripslashes($_POST['featured4-link']);
			$aOptions['featured4-desc'] = stripslashes($_POST['featured4-desc']);

			$aOptions['featured5-title'] = stripslashes($_POST['featured5-title']);
			$aOptions['featured5-image'] = stripslashes($_POST['featured5-image']);
			$aOptions['featured5-link'] = stripslashes($_POST['featured5-link']);
			$aOptions['featured5-desc'] = stripslashes($_POST['featured5-desc']);
			
			$aOptions['sideblog-title'] = stripslashes($_POST['sideblog-title']);
			$aOptions['sideblog-count'] = $_POST['sideblog-count'];
			$aOptions['sideblog-cat'] = $_POST['sideblog-cat'];
			$aOptions['ad-tag'] = stripslashes($_POST['ad-tag']);				
			update_option('massive_theme', $aOptions);

		}
		
		add_theme_page("Massive News Theme Options", "Massive News Options", 'edit_themes', basename(__FILE__), array('MassiveNews', 'displayOptions'));
	}
	
	function initOptions ($bReset) {
		$aOptions = get_option('massive_theme');
		if (!is_array($aOptions) || $bReset) {
			$aOptions['featured1-title'] = 'Example Title';
			$aOptions['featured1-image'] = 'http://www.massivenewstheme.com/example-image.jpg';
			$aOptions['featured1-link'] = 'http://www.massivenewstheme.com/example-article.html';
			$aOptions['featured1-desc'] = 'Your featured article description goes here';
			
			$aOptions['featured2-title'] = 'Example Title';
			$aOptions['featured2-image'] = 'http://www.massivenewstheme.com/example-image.jpg';
			$aOptions['featured2-link'] = 'http://www.massivenewstheme.com/example-article.html';
			$aOptions['featured2-desc'] = 'Your featured article description goes here';			

			$aOptions['featured3-title'] = 'Example Title';
			$aOptions['featured3-image'] = 'http://www.massivenewstheme.com/example-image.jpg';
			$aOptions['featured3-link'] = 'http://www.massivenewstheme.com/example-article.html';
			$aOptions['featured3-desc'] = 'Your featured article description goes here';

			$aOptions['featured4-title'] = 'Example Title';
			$aOptions['featured4-image'] = 'http://www.massivenewstheme.com/example-image.jpg';
			$aOptions['featured4-link'] = 'http://www.massivenewstheme.com/example-article.html';
			$aOptions['featured4-desc'] = 'Your featured article description goes here';

			$aOptions['featured5-title'] = 'Example Title';
			$aOptions['featured5-image'] = 'http://www.massivenewstheme.com/example-image.jpg';
			$aOptions['featured5-link'] = 'http://www.massivenewstheme.com/example-article.html';
			$aOptions['featured5-desc'] = 'Your featured article description goes here';

			$aOptions['sideblog-title'] = 'Sideblog Articles';
			$aOptions['sideblog-count'] = '5';
			$aOptions['sideblog-cat'] = '1';
			$aOptions['ad-tag'] = 'Insert your tag here';
			update_option('massive_theme', $aOptions);
		}
		return $aOptions;
	}

	function displayOptions () {
		$aOptions = MassiveNews::initOptions(false);
?>

<div class="wrap">
	<h2>Опции темы Massive News </h2>
	<p>Здесь Вы можете быстро настроить тему. Вы можете редактировать некоторые параметры шаблона, включая "карусель" записей,  вывод определенных записей в сайдбаре, и размещение рекламы ( 300x250), используя расположенные внизу поля.</p>
	
	
    <div style="margin-left:0px;">
    <form action="#" method="post" enctype="multipart/form-data" name="massive_form" id="massive_form">
		<fieldset name="general_options" class="options">
		
        <div style="border-bottom:1px solid #333;"></div>
        <h3 style="margin-bottom:0px;">Опции "карусели":</h3>
        <p style="margin-top:0px;">Вы можете добавить сюда элементы пяти актуальных записей блога.</p>

        <h3>Заметка #1</h3>
        Заголовок:<br />
		<div style="margin:0;padding:0;">
        <input name="featured1-title" id="featured1-title" value="<?php echo($aOptions['featured1-title']); ?>"></input>
        </div><br />
        
        Путь к картинке, открывающей запись (530x260 pix):<br />
		<div style="margin:0;padding:0;">
        <input name="featured1-image" id="featured1-image" size="75" value="<?php echo($aOptions['featured1-image']); ?>"></input> 
        </div><br />
        
        Ссылка на страницу записи:<br />
		<div style="margin:0;padding:0;">
        <input name="featured1-link" id="featured1-link" size="75" value="<?php echo($aOptions['featured1-link']); ?>"></input>   
        </div><br />
        
        Описание:<br />
		<div style="margin:0;padding:0;">
        <textarea name="featured1-desc" cols="100" rows="2" id="featured1-desc"><?php echo($aOptions['featured1-desc']); ?></textarea>
		</div><br />

        <h3>Заметка #2</h3>
        
        Заголовок:<br />
		<div style="margin:0;padding:0;">
        <input name="featured2-title" id="featured2-title" value="<?php echo($aOptions['featured2-title']); ?>"></input>
        </div><br />
        
       Путь к картинке, открывающей запись (530x260 pix):<br />
		<div style="margin:0;padding:0;">
        <input name="featured2-image" id="featured2-image" size="75" value="<?php echo($aOptions['featured2-image']); ?>"></input> 
        </div><br />
        
        Ссылка на страницу записи:<br />
		<div style="margin:0;padding:0;">
        <input name="featured2-link" id="featured2-link" size="75" value="<?php echo($aOptions['featured2-link']); ?>"></input>    
        </div><br />
        
        Описание:<br />
		<div style="margin:0;padding:0;">
        <textarea name="featured2-desc" cols="100" rows="2" id="featured2-desc"><?php echo($aOptions['featured2-desc']); ?></textarea>
		</div><br />

        <h3>Заметка #3</h3>
        
        Заголовок:<br />
		<div style="margin:0;padding:0;">
        <input name="featured3-title" id="featured3-title" value="<?php echo($aOptions['featured3-title']); ?>"></input>
        </div><br />
        
        Путь к картинке, открывающей запись (530x260 pix):<br />
		<div style="margin:0;padding:0;">
        <input name="featured3-image" id="featured3-image" size="75" value="<?php echo($aOptions['featured3-image']); ?>"></input>
        </div><br />
        
         Ссылка на страницу записи:<br />
		<div style="margin:0;padding:0;">
        <input name="featured3-link" id="featured3-link" size="75" value="<?php echo($aOptions['featured3-link']); ?>"></input>  
        </div><br />
        
        Описание:<br />
		<div style="margin:0;padding:0;">
        <textarea name="featured3-desc" cols="100" rows="2" id="featured3-desc"><?php echo($aOptions['featured3-desc']); ?></textarea>
		</div><br />

        <h3>Заметка #4</h3>
        
        Заголовок:<br />
		<div style="margin:0;padding:0;">
        <input name="featured4-title" id="featured4-title" value="<?php echo($aOptions['featured4-title']); ?>"></input>
        </div><br />
        
       Путь к картинке, открывающей запись (530x260 pix):<br />
		<div style="margin:0;padding:0;">
        <input name="featured4-image" id="featured4-image" size="75" value="<?php echo($aOptions['featured4-image']); ?>"></input>
        </div><br />
        
         Ссылка на страницу записи:<br />
		<div style="margin:0;padding:0;">
        <input name="featured4-link" id="featured4-link" size="75" value="<?php echo($aOptions['featured4-link']); ?>"></input>    
        </div><br />
        
        Описание:<br />
		<div style="margin:0;padding:0;">
        <textarea name="featured4-desc" cols="100" rows="2" id="featured4-desc"><?php echo($aOptions['featured4-desc']); ?></textarea>               
		</div><br />
        
        <h3>Заметка #5</h3>
        
        Заголовок:<br />
		<div style="margin:0;padding:0;">
        <input name="featured5-title" id="featured5-title" value="<?php echo($aOptions['featured5-title']); ?>"></input>
        </div><br />
        
        Путь к картинке, открывающей запись (530x260 pix):<br />
		<div style="margin:0;padding:0;">
        <input name="featured5-image" id="featured5-image" size="75" value="<?php echo($aOptions['featured5-image']); ?>"></input>  
        </div><br />
        
         Ссылка на страницу записи:<br />
        <div style="margin:0;padding:0;">
		<input name="featured5-link" id="featured5-link" size="75" value="<?php echo($aOptions['featured5-link']); ?>"></input> 
        </div><br />   
        
        Описание:<br />
		<div style="margin:0;padding:0;">
        <textarea name="featured5-desc" cols="100" rows="2" id="featured5-desc"><?php echo($aOptions['featured5-desc']); ?></textarea>
        </div><br />

		<div style="border-bottom:1px solid #333;"></div>

        <h3 style="margin-bottom:0px;">Опции сайдблога:</h3>
        <p style="margin-top:0px;">Сайдблог - функция, позволяющая выводить в сайдбаре записи из определенной  рубрики. Используется для того, чтобы выделить самые важные для автора записи.
        </p>
        
        Заголовок блока:<br />
		<div style="margin:0;padding:0;">
        <input name="sideblog-title" id="sideblog-title" value="<?php echo($aOptions['sideblog-title']); ?>"></input>
        </div><br />
        
        Количество публикуемых записей:<br />
		<div style="margin:0;padding:0;">
        <input name="sideblog-count" type="text" id="sideblog-count" value="<?php echo($aOptions['sideblog-count']); ?>" size="2" /> 
        </div><br />

        ID номер рубрики, записи которой будут выводиться:<br />
		<div style="margin:0;padding:0;">
        <input name="sideblog-cat" id="sideblog-cat" value="<?php echo($aOptions['sideblog-cat']); ?>" size="2" ></input>   
        </div><br />     

		<div style="border-bottom:1px solid #333;"></div>
        
        <h3 style="margin-bottom:0px;">Рекламный блок:</h3>
        <p style="margin-top:0px;">Разместите тут ссылку на стандартный рекламный блок 300x250 или код AdSense.</p>        

		<div style="margin:0;padding:0;">
        <textarea name="ad-tag" cols="100" rows="6" id="ad-tag"><?php echo($aOptions['ad-tag']); ?></textarea>
		</div><br />

		</fieldset>
		<p class="submit"><input type="submit" name="massive_reset" value="Очистить" /></p>
		<p class="submit"><input type="submit" name="massive_save" value="Сохранить" /></p>
	</form>      
</div>
<?php
	}
}

// Register functions
add_action('admin_menu', array('MassiveNews', 'addOptions'));



?>