<?php
/*
Template Name: Featured Page
*/
?>
<?php get_header(); ?>
<div id="mid" class="fix">
	<div id="main" class="fix"><a name="main"></a>
	<?php include (TEMPLATEPATH . '/featured.php'); ?>    
	<div id="content">

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
			<div class="postMeta"><span class="date"><?php the_time(' jS F Y') ?></span><span class="comments"><?php comments_popup_link('0', '1', '%'); ?></span></div>
			<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title() ?></a></h2>
            <h5>Рубрика: <?php the_category(', '); ?></h5>
			<div class="entry">
            <div id="introIMG"><img src="<?php $key="thumbnail"; echo get_post_meta($post->ID, $key, true); ?>" alt="<?php the_title(); ?>" /></div>
			<p><?php the_content_rss('', TRUE, '', 82); ?> <a href="<?php the_permalink() ?>" title="Read More">Подробнее</a></p>
			</div>
		</div>
		<?php endwhile; ?>
		<?php else : ?>
		<div class="post">
			<div class="postMeta"><span class="date">Не найдено</span></div>
		
			<div class="entry">
			<p> Извините, но того, что Вы ищете, тут нет.</p>
			</div>
		</div>
		<?php endif; ?>
		<div id="pagination">
        <p><?php previous_posts_link('Предыдущие') ?> - <?php next_posts_link('Следующие') ?></p>
		</div>
    </div>    
	</div>
	<?php include (TEMPLATEPATH . '/sidebar.php'); ?>
</div>
<?php get_footer(); ?>